From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/opencc/
Date: Fri, 26 Mar 2021 14:38:16 +0000 (UTC) [thread overview]
Message-ID: <1616769484.dd49c838fb8b66fb2d2bcbb11363a4ffe3479abe.floppym@gentoo> (raw)
commit: dd49c838fb8b66fb2d2bcbb11363a4ffe3479abe
Author: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Fri Mar 26 04:00:00 2021 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 14:38:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd49c838
app-i18n/opencc: Version bump (1.1.2).
Closes: https://bugs.gentoo.org/763273
Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
app-i18n/opencc/Manifest | 1 +
app-i18n/opencc/opencc-1.1.2.ebuild | 73 +++++++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/app-i18n/opencc/Manifest b/app-i18n/opencc/Manifest
index 5e274b54e2d..57f3d3e55d1 100644
--- a/app-i18n/opencc/Manifest
+++ b/app-i18n/opencc/Manifest
@@ -2,3 +2,4 @@ DIST opencc-1.0.5.tar.gz 1598354 BLAKE2B a66b32b96dab543d8401960ff0548a4e3f94146
DIST opencc-1.0.6.tar.gz 1621561 BLAKE2B d58ee0e04e133fbf6a7632788bcaf0f7891bb74051a970075f6d94b048adfec7bbe4438913933d7dfdd4d58ec2c1a5ec47685415c26532ddd8c13e8abd52cab6 SHA512 67c7bb7432483c1781701dc64ff28e4d5750898ed3d2d41f97d3782918b5f9aa1a49baa1e3a58e4b24cfbd2adcf9ea166a05ad934221fb1cb7afb35e909749e7
DIST opencc-1.1.0.tar.gz 2209140 BLAKE2B 71cc659976cf30ac0d7dd52cdfa644a85e4e38fed081176bb2f2da2702203c0faeddf76818c8cc89a5fe2a2cfe3eee85fcb27010766db461817b204403cc9b46 SHA512 c5d95e84e0c8edf600f441b79431f721e721b1028619170e27fbc762da32c9ef99c9d28c2c5eaf34226d23a24e2fe5e494cedb28f1182acb06f94b72d7cbb52c
DIST opencc-1.1.1.tar.gz 2212256 BLAKE2B 0299023f4c950ebedc0a7bc4ca142fbf737c612aca5c8cba8787bebcf2ac8afcacb056b015fbc151136166f679a4551fc5d6bbc0481b930331228ea7484fbe68 SHA512 48ccf61f63cf0a1c0fc484a52ae1d406a28949a52be7d7d1595e6aaf87f40ac47ea4697308441a9381f0cd6f404ee5a28b85a2fa2f288c4b3933be36f4a41363
+DIST opencc-1.1.2.tar.gz 2804665 BLAKE2B 9b8be92cfdc2f565c9dc27745724c739e674239f2e3925a1ccdfcbf83e0d1857430d72e91a064c09456e69c00d79e47179801b21a4c7c6fd5dc6d0d16f1bcb98 SHA512 56c84bc472b39eb0b23bac6df5aada2c2ed5fd2fbe653c1ae89d392ec0b74741a15de93c748883ec3c0779396e790a1197f6e3b267b524f111459d45daeb5d4b
diff --git a/app-i18n/opencc/opencc-1.1.2.ebuild b/app-i18n/opencc/opencc-1.1.2.ebuild
new file mode 100644
index 00000000000..6411df9081e
--- /dev/null
+++ b/app-i18n/opencc/opencc-1.1.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2010-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=(python{3_7,3_8,3_9})
+
+inherit cmake python-any-r1
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/BYVoid/OpenCC"
+fi
+
+DESCRIPTION="Library for conversion between Traditional and Simplified Chinese characters"
+HOMEPAGE="https://github.com/BYVoid/OpenCC"
+if [[ "${PV}" == "9999" ]]; then
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/BYVoid/OpenCC/archive/ver.${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0/1.1"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="${PYTHON_DEPS}
+ doc? ( app-doc/doxygen )"
+DEPEND="dev-cpp/tclap
+ dev-libs/darts
+ dev-libs/marisa:0=
+ dev-libs/rapidjson
+ test? (
+ dev-cpp/gtest
+ !hppa? ( !sparc? ( dev-cpp/benchmark ) )
+ )"
+RDEPEND="dev-libs/marisa:0="
+
+if [[ "${PV}" != "9999" ]]; then
+ S="${WORKDIR}/OpenCC-ver.${PV}"
+fi
+
+DOCS=(AUTHORS NEWS.md README.md)
+
+src_prepare() {
+ rm -r deps || die
+
+ cmake_src_prepare
+
+ sed -e "s:\${DIR_SHARE_OPENCC}/doc:share/doc/${PF}:" -i doc/CMakeLists.txt || die
+
+ # https://github.com/BYVoid/OpenCC/issues/550
+ # https://github.com/BYVoid/OpenCC/commit/736b93d3d16fdf0548bdaae2922569199615e919
+ sed -e "s:#ifdef ENABLE_DARTS:#if 1:" -i src/Common.hpp || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_DOCUMENTATION=$(usex doc ON OFF)
+ -DENABLE_BENCHMARK=$(if use test && has_version -d dev-cpp/benchmark; then echo ON; else echo OFF; fi)
+ -DENABLE_GTEST=$(usex test ON OFF)
+ -DUSE_SYSTEM_DARTS=ON
+ -DUSE_SYSTEM_GOOGLE_BENCHMARK=ON
+ -DUSE_SYSTEM_GTEST=ON
+ -DUSE_SYSTEM_MARISA=ON
+ -DUSE_SYSTEM_RAPIDJSON=ON
+ -DUSE_SYSTEM_TCLAP=ON
+ )
+
+ cmake_src_configure
+}
next reply other threads:[~2021-03-26 14:38 UTC|newest]
Thread overview: 77+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-26 14:38 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 10:42 [gentoo-commits] repo/gentoo:master commit in: app-i18n/opencc/ Sam James
2025-02-08 1:15 Yixun Lan
2025-02-08 1:15 Yixun Lan
2025-01-05 12:15 WANG Xuerui
2024-12-09 20:16 Sam James
2024-12-09 20:04 Arthur Zamarin
2024-12-09 7:35 Arthur Zamarin
2024-12-09 7:20 Arthur Zamarin
2024-12-09 7:03 Arthur Zamarin
2024-08-27 15:16 Yixun Lan
2024-07-05 10:37 Arthur Zamarin
2024-07-05 10:37 Arthur Zamarin
2023-03-17 13:18 Yixun Lan
2022-08-12 14:27 Sam James
2022-08-03 7:49 Agostino Sarubbo
2022-08-02 19:54 Arthur Zamarin
2022-08-02 16:01 Arthur Zamarin
2022-08-02 16:01 Arthur Zamarin
2022-08-02 16:01 Arthur Zamarin
2022-07-07 13:59 Yixun Lan
2022-06-13 21:30 Jakov Smolić
2022-06-10 6:48 Agostino Sarubbo
2022-06-09 7:37 Agostino Sarubbo
2022-06-09 7:37 Agostino Sarubbo
2022-06-09 7:36 Agostino Sarubbo
2022-06-08 20:04 Arthur Zamarin
2022-05-19 5:08 WANG Xuerui
2022-05-17 12:38 Agostino Sarubbo
2022-03-09 8:59 Jakov Smolić
2022-01-31 20:26 Arthur Zamarin
2022-01-31 18:51 Sam James
2022-01-31 6:24 Sam James
2022-01-30 22:25 Sam James
2022-01-30 22:25 Sam James
2022-01-29 15:20 Yixun Lan
2022-01-29 15:20 Yixun Lan
2022-01-14 11:36 Arthur Zamarin
2021-09-06 21:34 Sam James
2021-09-06 21:34 Sam James
2021-07-27 21:54 Marek Szuba
2021-06-08 7:41 Sam James
2021-03-26 14:38 Mike Gilbert
2021-03-26 14:38 Mike Gilbert
2021-03-26 14:38 Mike Gilbert
2020-12-31 1:47 Sam James
2020-12-27 18:39 Mike Gilbert
2020-12-27 18:39 Mike Gilbert
2020-12-27 18:39 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-11-22 19:32 Mike Gilbert
2020-02-08 12:50 Sergei Trofimovich
2019-12-31 18:08 Aaron Bauman
2019-08-30 18:39 Sergei Trofimovich
2019-08-18 3:06 Aaron Bauman
2017-10-05 9:04 Sergei Trofimovich
2017-09-24 12:29 Sergei Trofimovich
2017-09-24 11:00 Sergei Trofimovich
2017-08-31 19:53 Mike Gilbert
2017-08-23 14:25 Akinori Hattori
2017-08-22 14:21 Mike Gilbert
2017-08-22 14:21 Mike Gilbert
2017-08-22 14:21 Mike Gilbert
2017-08-22 14:21 Mike Gilbert
2017-08-22 14:21 Mike Gilbert
2017-02-15 22:04 Yixun Lan
2017-02-03 21:49 Johannes Huber
2017-02-03 20:08 Jeroen Roovers
2017-02-03 20:05 Jeroen Roovers
2017-01-29 13:55 Agostino Sarubbo
2016-05-27 10:22 Yixun Lan
2015-09-01 18:52 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1616769484.dd49c838fb8b66fb2d2bcbb11363a4ffe3479abe.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox